<?php

/**
 * Plugin Name: Tickera - Event Name In Tickera CSV Export
 * Plugin URI: https://tickera.com/
 * Description: Add an event name to CSV Export
 * Version: 1.0
 * Author: Tickera
 * Author URI: https://tickera.com/
 * Developer: Tickera
 * Developer URI: https://tickera.com/
 */

if (!defined('ABSPATH'))
    exit; // Exit if accessed directly

if (!class_exists('TC_Csv_Event_Title')) {

    class TC_Csv_Event_Title {

        var $version = '1.0';
        var $title = 'Tickera - Event Name In Tickera CSV Export ';
        var $name = 'tc_event_name_csv';
        var $dir_name = 'tc_event_name_csv';
        var $location = 'plugins';
        var $plugin_dir = '';
        var $plugin_url = '';

        function __construct() {
            $this->init_vars();

            add_filter('tc_csv_admin_fields', array(&$this, 'tc_add_admin_field_event_name'), 10, 1);
            add_filter('tc_csv_array', array(&$this, 'tc_add_event_value'), 10, 1);
            
            
        }

        
        function tc_add_admin_field_event_name($csv_fields){            
            $csv_fields['col_event_name'] = 'Event Name';
            return $csv_fields;
        }
        
        function tc_add_event_value($tc_values_array) {

            if ( isset( $_POST[ 'col_event_name' ] ) ) {
                    $tc_event_name = get_the_title($_POST['tc_export_csv_event_data']);
                    $tc_event_name_array	 = array( __( 'Event Name', 'tc' ) => $tc_event_name );
                    $tc_values_array		 = array_merge( $tc_values_array, $tc_event_name_array );
            }
            return $tc_values_array;

        }


        function init_vars() {
            //setup proper directories
            if (defined('WP_PLUGIN_URL') && defined('WP_PLUGIN_DIR') && file_exists(WP_PLUGIN_DIR . '/' . $this->dir_name . '/' . basename(__FILE__))) {
                $this->location = 'subfolder-plugins';
                $this->plugin_dir = WP_PLUGIN_DIR . '/' . $this->dir_name . '/';
                $this->plugin_url = plugins_url('/', __FILE__);
            } else if (defined('WP_PLUGIN_URL') && defined('WP_PLUGIN_DIR') && file_exists(WP_PLUGIN_DIR . '/' . basename(__FILE__))) {
                $this->location = 'plugins';
                $this->plugin_dir = WP_PLUGIN_DIR . '/';
                $this->plugin_url = plugins_url('/', __FILE__);
            } else if (is_multisite() && defined('WPMU_PLUGIN_URL') && defined('WPMU_PLUGIN_DIR') && file_exists(WPMU_PLUGIN_DIR . '/' . basename(__FILE__))) {
                $this->location = 'mu-plugins';
                $this->plugin_dir = WPMU_PLUGIN_DIR;
                $this->plugin_url = WPMU_PLUGIN_URL;
            } else {
                wp_die(sprintf(__('There was an issue determining where %s is installed. Please reinstall it.', 'tc'), $this->title));
            }
        }


        
    }

}

$tc_csv_event_title = new TC_Csv_Event_Title();

?>